
$nav-brand-color:  rgb(140,31,78);

@charset "utf-8";

// bootwatch
{% if site.bootswatch %}
  @import "vendor/bootswatch/{{site.bootswatch | downcase}}/variables";
{% endif %}

@import "vendor/bootstrap/bootstrap.scss";

// bootwatch
{% if site.bootswatch %}
  @import "vendor/bootswatch/{{site.bootswatch | downcase}}/bootswatch";
{% endif %}

$nav-brand-color: {{site.app.theme-color}};
$navbar-light-color: $nav-brand-color;

@import "vendor/fontawesome/fontawesome.scss";
@import "vendor/fontawesome/solid";
@import "vendor/fontawesome/brands";
@import "vendor/fontawesome/regular";
@import "syntax-highlighting.scss";

@import "typeahead.scss";

@import 'top_nav.scss';
@import 'banner.scss';

.user {
  @extend %fa-icon;
  @extend .fas;

  &:before {
    content: fa-content($fa-var-user);
  }
}

.twitter {
  @extend %fa-icon;
  @extend .fab;

  &:before {
    content: fa-content($fa-var-twitter);
  }
}


$gray-base:              #000 !default;
$gray-darker:            lighten($gray-base, 13.5%) !default; // #222
$gray-dark:              lighten($gray-base, 20%) !default;   // #333
$gray:                   lighten($gray-base, 33.5%) !default; // #555
$gray-light:             lighten($gray-base, 46.7%) !default; // #777
$gray-lighter:           lighten($gray-base, 93.5%) !default; // #eee

html {
  position: relative;
  min-height: 100%;
}

body {

  //margin-top: 3.428571429rem;
  //padding-top:margin-top: -3.428571429rem;
  margin-bottom: 46px;
  font-size: 16px;
}
.navbar {
  //margin-top: -($nav-link-height + $nav-link-padding-y *2)
  margin-left: -15px;
  margin-right: -15px;

}
.page-content {
  padding-bottom: 20px;
}
.footer {
  position: absolute;
  bottom: 0;
  width: 100%;
  height: 46px;
  padding-top: 10px;
  background-color: $gray-lighter;
  color: $gray-dark;
}


*[id]:before {
  display: block;
  content: " ";
  margin-top: -75px;
  height: 75px;
  visibility: hidden;
}





blockquote {
    padding: 8px 8px;
    margin: 0 0 16px;
    font-size: 16px;
    border-left: 2px solid $primary;
}
blockquote p:last-child,
blockquote ul:last-child,
blockquote ol:last-child {
      margin-bottom: 0;
}
blockquote footer,
blockquote small,
blockquote .small {
      display: block;
      font-size: 80%;
      line-height: 1.428571429;
      color: #333333;
}
blockquote footer:before,
blockquote small:before,
blockquote .small:before {
        content: '\2014 \00A0';
}


@media screen and (max-width: 768px){
  ol,ul {
    padding-left: 12px;
  }
}

@media screen and (min-width: 768px) {
  blockquote {
      padding: 11px 22px;
      margin: 0 0 22px;
      font-size: 20px;
      border-left: 5px solid $primary;
  }

}

img.img-responsive {
    max-width: 100%;
}